<div [className]="isThatCurrentAircraft === true ? 'currentAircraft card-item' : 'card-item'" class="card-item">
    <mat-card>
        <mat-card-header>
            <mat-card-title>{{this._aircraft.name}}</mat-card-title>
            <mat-card-subtitle>{{this.aircraftType}}</mat-card-subtitle>
            <button class="shift-button" mat-mini-fab color="warn" (click)="isSwitch = !isSwitch">
                <i class="fas fa-th-list" *ngIf="!isSwitch"></i>
                <i class="fas fa-chart-pie" *ngIf="isSwitch"></i>
            </button>
            <!--            [innerHTML]="isThatCurrentAircraft === true ? this.aircraftType + ' [' + this._dictionary.current_AC + ' ' + this._dictionary.aircraft + ']' : this.aircraftType"-->
        </mat-card-header>

        <mat-card-content *ngIf="!isSwitch">

            <canvas id="canvasAircraft{{this._aircraft.id}}" width="200" height="200"
                    #canvasElementAircraft></canvas>
        </mat-card-content>
        <mat-card-content *ngIf="isSwitch" [@fadeInOut]>
            <div class="text-card-switch">
                <!--                <p><strong>Ranking:</strong> {{rankingPercent}}</p>-->
                <table mat-table [dataSource]="dataSource" *ngIf="dataSource" class="mat-elevation-z8">

                    <ng-container matColumnDef="name">
                        <th mat-header-cell style="display:none" *matHeaderCellDef></th>
                        <td mat-cell *matCellDef="let element"> {{element.name}} </td>
                    </ng-container>

                    <!-- Name Column -->
                    <ng-container matColumnDef="value">
                        <th mat-header-cell style="display:none" *matHeaderCellDef></th>
                        <td mat-cell *matCellDef="let element" style="width: +20px"> {{element.value}} </td>
                    </ng-container>
                    <tr mat-header-row *matHeaderRowDef="displayedColumns"></tr>
                    <tr mat-row *matRowDef="let row; columns: displayedColumns;"></tr>
                </table>

            </div>


        </mat-card-content>
        <mat-card-actions>
            <!--                        <button mat-button (click)="openChartModal(this._aircraft)">{{this._dictionary.look}}</button>-->
<!--            <button *ngIf="this.data" [disabled]="isThatCurrentAircraft" mat-raised-button-->
<!--                    [routerLink]="['/detail', '/base/', this.data.type, '/aircraft/', this._aircraft.id]">{{this._dictionary.look}}</button>-->
            <button *ngIf="this.aircraftType !== _dictionary.militaryAircraft" [disabled]="isThatCurrentAircraft || this._buttonDisabled" mat-raised-button
                    [routerLink]="['../', this._aircraft.id]">{{this._dictionary.look}}</button>
            <button *ngIf="this.aircraftType === _dictionary.militaryAircraft" [disabled]="true" mat-raised-button
                    [matTooltip]="_dictionary.militaryAircrafts + ' ' + _dictionary.areNotAllowed + '!'">{{this._dictionary.look}}</button>
<!--                    routerLink="/redirectTo/detail/base/{{this.data.type}}/aircraft/{{this._aircraft.id}}">{{this._dictionary.look}}</button>-->
            <!--            <button *ngIf="this.data" [disabled]="isThatCurrentAircraft" mat-raised-button matDialogClose=""-->
            <!--                    routerLink="/detail/base/{{this.data.type}}/aircraft/{{this._aircraft.id}}">{{this._dictionary.look}}</button>-->

        </mat-card-actions>
    </mat-card>
</div>
